This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 161071 - up2date confused about $releasever for repomd sources with baseurls rather than mirrorlists
up2date confused about $releasever for repomd sources with baseurls rather th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
https://www.redhat.com/archives/fedor...
:
: 162846 163209 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 08:32 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-06-20 08:32:38 EDT
I have a system upgraded from FC3->FC4. I'm not sure if the upgrade is relevant
or not, but here goes:

Using the standard .repo files containing mirrorlist= references for the
repositories, everything is fine:

# up2date --nox --list
initRepo
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.mirrors.tds.net/pub/fedora-core/updates/4/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/4/i386/',
'http://fedora.secsup.org/core/updates/4/i386/',
'http://mirror.newnanutilities.org/fedora/linux/core/updates/4/i386/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ale.org/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/updates/4/i386/',
'http://mirrors.playboy.com/fedora/updates/4/i386/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/updates/4/i386/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/updates/4/i386/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/4/i386/',
'http://srl.cs.jhu.edu/YUM/fedora-core/updates/4/i386/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/updates/4/i386/',
'http://limestone.uoregon.edu/ftp/fedora/updates/4/i386/',
'http://mirror.stanford.edu/fedora/linux/core/updates/4/i386/',
'http://mirrors.kernel.org/fedora/core/updates/4/i386/',
'http://mirror.web-ster.com/fedora/core/updates/4/i386/',
'http://fedora.cat.pdx.edu/linux/core/updates/4/i386/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/updates/4/i386/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://mirrors.csumb.edu/pub/fedora/updates/4/i386/',
'http://less.cogeco.net/pub/fedora/linux/core/updates/4/i386/',
'http://www.muug.mb.ca/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.arcticnetwork.ca/updates/4/i386/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.netglobalis.net/pub/fedora/core/updates/4/i386/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/updates/4/i386/',
'http://sunsite.mff.cuni.cz/pub/fedora/updates/4/i386/',
'http://ftp1.skynet.cz/pub/linux/fedora/updates/4/i386/',
'http://klid.dk/homeftp/fedora/linux/core/updates/4/i386/',
'http://redhat.linux.ee/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://fr.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://fr2.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/updates/4/i386/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/updates/4/i386/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/updates/4/i386/',
'http://dl.atrpms.net/mirrors/fedoracore/updates/4/i386/',
'http://www.fedora.is/fedora/core/updates/4/i386/',
'http://ftp.heanet.ie/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.ngi.it/updates/4/i386/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/updates/4/i386/',
'http://ftp.ps.pl/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/updates/4/i386/',
'http://ftp.lug.ro/fedora/linux/core/updates/4/i386/',
'http://ftp.chg.ru/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://mirror2etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/updates/4/i386/',
'http://mirrors.bevc.net/fedora/updates/4/i386/',
'http://ftp.udl.es/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/updates/4/i386/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/updates/4/i386/',
'http://planetmirror.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.riken.jp/Linux/fedora/core/updates/4/i386/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.averse.net/fedora/linux/core/updates/4/i386/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/updates/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/4/i386/os/',
'http://fedora.mirrors.tds.net/pub/fedora-core/4/i386/os/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/4/i386/os/',
'http://fedora.secsup.org/core/4/i386/os/',
'http://mirror.newnanutilities.org/fedora/linux/core/4/i386/os/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ale.org/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/4/i386/os/',
'http://mirrors.playboy.com/fedora/4/i386/os/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/4/i386/os/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/4/i386/os/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/4/i386/os/',
'http://srl.cs.jhu.edu/YUM/fedora-core/4/i386/os/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/4/i386/os/',
'http://limestone.uoregon.edu/ftp/fedora/4/i386/os/',
'http://mirror.stanford.edu/fedora/linux/core/4/i386/os/',
'http://mirrors.kernel.org/fedora/core/4/i386/os/',
'http://mirror.web-ster.com/fedora/core/4/i386/os/',
'http://fedora.cat.pdx.edu/linux/core/4/i386/os/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/4/i386/os/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://mirrors.csumb.edu/pub/fedora/4/i386/os/',
'http://less.cogeco.net/pub/fedora/linux/core/4/i386/os/',
'http://www.muug.mb.ca/pub/fedora/linux/core/4/i386/os/',
'http://fedora.arcticnetwork.ca/4/i386/os/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/4/i386/os/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.netglobalis.net/pub/fedora/core/4/i386/os/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/4/i386/os/',
'http://sunsite.mff.cuni.cz/pub/fedora/4/i386/os/',
'http://ftp1.skynet.cz/pub/linux/fedora/4/i386/os/',
'http://klid.dk/homeftp/fedora/linux/core/4/i386/os/',
'http://redhat.linux.ee/pub/fedora/linux/core/4/i386/os/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://fr.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://fr2.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/4/i386/os/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/4/i386/os/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/4/i386/os/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/4/i386/os/',
'http://dl.atrpms.net/mirrors/fedoracore/4/i386/os/',
'http://www.fedora.is/fedora/core/4/i386/os/',
'http://ftp.heanet.ie/pub/fedora/linux/core/4/i386/os/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://fedora.ngi.it/4/i386/os/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/4/i386/os/',
'http://ftp.ps.pl/pub/linux/fedora-core/4/i386/os/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/4/i386/os/',
'http://ftp.lug.ro/fedora/linux/core/4/i386/os/',
'http://ftp.chg.ru/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://mirror2etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/4/i386/os/',
'http://mirrors.bevc.net/fedora/4/i386/os/',
'http://ftp.udl.es/pub/fedora/linux/core/4/i386/os/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/4/i386/os/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/4/i386/os/',
'http://planetmirror.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.riken.jp/Linux/fedora/core/4/i386/os/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.averse.net/fedora/linux/core/4/i386/os/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/4/i386/os/']
Setting up Package Sacks
Excluding Incompatible Archs
Finished
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished

Fetching Obsoletes list for channel: extras...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/...

Fetching Obsoletes list for channel: updates-released...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/...

Fetching Obsoletes list for channel: base...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/...

Fetching rpm headers...

Name                                    Version        Rel
----------------------------------------------------------



However, I have set up local repos on my LAN, and am using "baseurl=" notation
for the repository locations:

$ more fedora.repo fedora-updates.repo fedora-extras.repo
::::::::::::::
fedora.repo
::::::::::::::
[base]
name=Fedora Core $releasever - $basearch - Base
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/os/
baseurl=http://ftp.manchester.xyratex.com/yum/fedora/$releasever/$basearch
#mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-core-$releasever
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
::::::::::::::
fedora-updates.repo
::::::::::::::
[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
#baseurl=http://ftp.manchester.xyratex.com/yum/fedora/updates/4/$basearch
baseurl=http://ftp.manchester.xyratex.com/yum/fedora/updates/$releasever/$basearch
       
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/fedora/updates/$releasever/$basearch
       
http://www.mirror.ac.uk/mirror/fedora.redhat.com/updates/$releasever/$basearch
       
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/
mirrorlist=http://fedora.redhat.com/download/mirrors/updates-released-fc$releasever
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
::::::::::::::
fedora-extras.repo
::::::::::::::
[extras]
name=Fedora Extras $releasever - $basearch
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/$basearch/
#mirrorlist=http://fedora.redhat.com/download/mirrors/fedora-extras-$releasever
baseurl=http://ftp.manchester.xyratex.com/yum/fedora/extras/$releasever/$basearch/
       
http://download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/$basearch/
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-extras
gpgcheck=1
enabled=1
failovermethod=priority



These repo files work perfectly well with yum. However, when I try up2date, it
seems to change its mind about how to expand $releasever part way through the run:

# up2date --nox --list
initRepo
Baseurl(s) for repo:
['http://ftp.manchester.xyratex.com/yum/fedora/extras/4/i386/',
'http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/']
Baseurl(s) for repo:
['http://ftp.manchester.xyratex.com/yum/fedora/updates/4/i386',
'http://ftp.nluug.nl/ftp/pub/os/Linux/distr/fedora/updates/4/i386',
'http://www.mirror.ac.uk/mirror/fedora.redhat.com/updates/4/i386',
'http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386']
Baseurl(s) for repo: ['http://ftp.manchester.xyratex.com/yum/fedora/4/i386']
Setting up Package Sacks
Excluding Incompatible Archs
Finished
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished

Fetching Obsoletes list for channel: extras...
initRepo

Fetching obsoletes list for
http://ftp.manchester.xyratex.com/yum/fedora/extras/3/i386/...

Fetching Obsoletes list for channel: updates-released...
initRepo

Fetching obsoletes list for
http://ftp.manchester.xyratex.com/yum/fedora/updates/3/i386...

Fetching Obsoletes list for channel: base...
initRepo

Fetching obsoletes list for http://ftp.manchester.xyratex.com/yum/fedora/3/i386...

Fetching rpm headers...

Name                                    Version        Rel
----------------------------------------------------------



So it starts off correctly expanding $releasever as "4", but subsequently
changes to "3" for some reason. distroverpackage is set to redhat-release in
/etc/yum.conf.

The only non-comment, non-blank line in /etc/sysconfig/rhn/sources is:

repomd fedora http://fedora.redhat.com/

Changing "$releasever" to "4" (i.e. hardcoding it) works around this for now,
but rhn-applet still fails to indicate any available updates (which I initially
thought was due to this issue). However, that's an issue for rhn-applet rather
than up2date.

Another person on fedora-list is having a similar problem:

https://www.redhat.com/archives/fedora-list/2005-June/msg03470.html

Their copy of up2date seems to be choosing "2" for $releasever rather than "3"
though.
Comment 1 Paul Howarth 2005-06-20 08:55:23 EDT
I now believe the issue with rhn-applet is due to bug #160873
Comment 2 Mogens Kjaer 2005-06-21 09:09:25 EDT
Check this file:

/usr/share/rhn/up2date_client/sourcesConfig.py

lines 161-162:

        #FIXME:
        releasever = "3"

Change "3" into "4" and up2date works again. Had the same problem with
the livna repository.
Comment 3 Pedro Lamarão 2005-06-21 22:10:25 EDT
Removing those two lines did it for me.

releasever is assigned the result of a method call right before, and the method
name is up2dateUtils.getVersion() :-)
Comment 4 Todd R. 2005-07-06 20:42:01 EDT
I found that the file

"/usr/share/rhn/up2date_client/sourcesConfig.py"

has the WRONG release version in line #162

Change the "3" to a "4" and things work much better.
Comment 5 Stefan Neufeind 2005-07-11 13:14:09 EDT
Have/had the same problem. Before changing anything in the source, it fetched
packetlists from /4/, but always looked in /3/ for obsoletes.

baseurl I use in fedora.repo (instead of the mirrorlist-url):

baseurl=ftp://internal/mirrors/fedora/core/$releasever/$basearch/os/


Changing the line mentioned above seemed to help. But now it reports that:

rpm was unable to load a header
initRepo
bytes=440-18648
An error has occurred:
exceptions.IndexError
See /var/log/up2date for more information

Where it reports:

[Mon Jul 11 19:10:37 2005] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1137, in batchRun
    batch.run()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 78, in run
    self.__dryRun()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 163, in __dryRun
    self.percentCallback)
   File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
   File "/usr/share/rhn/up2date_client/depSolver.py", line 722, in solvedep
    ret = self.process_deps(deps)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 616, in process_deps
    changed = self.__dependencies(dependencies)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 383, in __dependencies
    added = self.__add(solved, check = 1)
   File "/usr/share/rhn/up2date_client/depSolver.py", line 221, in __add
    hdr = headerList[p]
   File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
   File "/usr/share/rhn/up2date_client/headers.py", line 42, in __retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 32, in getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
   File "/usr/share/rhn/up2date_client/rpmSource.py", line 213, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 242, in
getHeader
    hdr = rpm.readHeaderListFromFile(tmpfilename)[0]
Comment 6 Stefan Neufeind 2005-07-11 13:28:36 EDT
Another workaround:
Place your baseurl into a simple file and use:

mirrorlist=file:///etc/mymirror/core

to point to that file in your /etc/yum.repos.d/fedora.repo

This way you don't have to patch the up2date-source. Or simply avoid using
$releasever in your fedora.repo, and use 4 instead :-)


But this still does not solve my above mentioned problem that up2date has an
"IndexError" (whatever that means in this case).
Comment 7 Henning Schmiedehausen 2005-07-12 02:39:56 EDT
*** Bug 162846 has been marked as a duplicate of this bug. ***
Comment 8 Andy Henson 2005-08-01 05:14:43 EDT
The problem appears to be in package "fedora-release"

It's version is 3-8.

It contains the /etc/fedora-release which contains the incorrect string:
"Fedora Core release 3 (Heidelberg)"

Both of these should show 4 not 3.

The former is used by the scripts which decide what release this is, hence the
problems described elsewhere in this bug report.
Comment 9 Paul Howarth 2005-08-01 05:39:55 EDT
Re: Comment #8, the fedora-release package you're referring to is the one for
Fedora Core 3. The fedora-release package in FC4 is fedora-release-4-2 and it
contains the correct string:
"Fedora Core release 4 (Stentz)"

Comment #2 identifies the immediate reason for this problem (hardcoded version
number of 3 rather than 4 in up2date_client), but the underlying problem is that
up2date doesn't figure out the release version for itself correctly, hence the
need for the "FIXME" workaround of hardcoding it.
Comment 10 Andy Henson 2005-08-01 05:40:53 EDT
Sorry, may I retract my comment #8 - double checking the release, I appear to
have an old fedora-release rpm which seems to have caused the problem.

I would like to confirm that I was not using "up2date" when I updated this, and
the master respository fedora-release has the correct version.

An incorrect fedora-release rpm would cause the problem described.
Comment 11 Stefan Neufeind 2005-08-25 02:55:34 EDT
To #9: Paul, I see that the FIXME-workaround is not ideal - but as mentioned in
#5 and #6 there seem to be other issues than that - at least here. Since up2date
itself is for version 4 - would it be possible to push out a release with 3->4
fixed in the source for a first step? But even when fixing that one thing by
hand, I still get the IndexError - and have no clue where that might come from :-(
Comment 12 Eliot Kaagan 2005-09-26 20:33:39 EDT
Has anyone found a resolution to this problem? No matter what I do I still get 
the "exceptions.IndexError" message and Up2date quits. 

My e-mail address is ekaagan@24hourfit.com

Cheers,
eliot
Comment 13 John Thacker 2006-04-22 11:25:39 EDT
*** Bug 163209 has been marked as a duplicate of this bug. ***
Comment 14 John Thacker 2006-04-22 11:28:22 EDT
The problem seems to be the fedora-release RPM not always updating on an 
upgrade of the system.  You should upgrade it manually if you have this 
problem.  (This can definitely occur if you upgraded from FC3 to FC4
via yum or apt.)

up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.
Comment 15 Paul Howarth 2006-04-22 11:44:25 EDT
(In reply to comment #14)
> The problem seems to be the fedora-release RPM not always updating on an 
> upgrade of the system.  You should upgrade it manually if you have this 
> problem.  (This can definitely occur if you upgraded from FC3 to FC4
> via yum or apt.)

No, the problem is as described in Comment #2 that up2date has the release
number hardcoded into it instead of working it out properly for itself (e.g. by
checking the version of fedora-release).

> up2date is no longer shipped with Fedora Core; it's functionality 
> has been replaced by pup, found in the pirut package.  The only fixes 
> likely to be made to up2date in RedHat Linux and earlier Fedora Core 
> versions are security fixes by Fedora Legacy.  This does not seem to 
> be a security bug, so I'm closing it.

That's certainly true.

> If the problem is appropriate to RHEL and occurs to a user there, it 
> can be filed as such.

Fair enough.

Note You need to log in before you can comment on or make changes to this bug.